Subject: Re: git-svn should default to --repack

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jan 2008 12:44:08 -0800

Karl Hasselström <[email-masked]> writes:

> On 2008-01-18 07:17:55 -0500, Kevin Ballard wrote:
>
>> I was very surprised to find that git-svn does not in fact default
>> to --repack. I firmly believe it should.
>
> I believe so too. And nowadays there's "git gc --auto", which was made
> for occasions such as this, so it should be a breeze to implement. The
> overhead might be low enough that it can be called after _every_
> imported revision.

Careful.  I made the same mistake and it had to be corrected
with e0cd252eb0ba6453acd64762625b004aa4cc162b.

"gc --auto" after every 1000 or so feels like a good default and
I would agree that would be a real fix to a real usability bug.

Patches?